/**
 * ParticipationInformationRecipient.java
 *
 * File generated from the medication::ParticipationInformationRecipient uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationInformationRecipient.
 *
 * 
 */

@XmlType(name = "ParticipationInformationRecipient")
@XmlEnum
@XmlRootElement(name = "ParticipationInformationRecipient")
public enum ParticipationInformationRecipient {
	@XmlEnumValue("IRCP")
	IRCP("IRCP"),
	@XmlEnumValue("NOT")
	NOT("NOT"),
	@XmlEnumValue("PRCP")
	PRCP("PRCP"),
	@XmlEnumValue("REFB")
	REFB("REFB"),
	@XmlEnumValue("REFT")
	REFT("REFT"),
	@XmlEnumValue("TRC")
	TRC("TRC");
	
	private final String value;

    ParticipationInformationRecipient(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationInformationRecipient fromValue(String v) {
        for (ParticipationInformationRecipient c: ParticipationInformationRecipient.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}